<template>
  <el-card class="content-wrapper">
    <div slot="header" class="content-wrapper__header">
      <div class="content-wrapper__header__title">{{ title }}</div>
      <slot name="header-right"></slot>
    </div>
    <slot></slot>
  </el-card>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      default: '',
    },
  },
}
</script>

<style lang="scss" scoped>
.content-wrapper {
  &__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    &__title {
      font-size: $font-size-lg;
      color: $main-title-color;
      font-weight: 500;
      line-height: 2;
    }
  }
}
</style>
